package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.OrderLog;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-27 9:12
 */
public interface OrderLogService {

    OrderLog get(String id);
    boolean exist(String id);
    int insert(OrderLog model);
    int insert2(OrderLog model);
    int update(OrderLog model);
    int delete(String id);
    List<OrderLog> list();
    List<OrderLog> findByOrderId(String orderId);
    Page<OrderLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

}
